Description

This is a bit of an odd one but during the cloning of a hostgroup it seems that array/json class parameter overrides can become

invalid.

Pre-req:

2 x environments with the same classes in both.

2 x identical hostgroups in different environments. Not sure if having classes in them is mandatory or not

1 x child hostgroup containing a class with an array-type override set.

Step to reproduce:

Clone the child hostgroup from one environment to the other, changing both the parent HG and environment fields during the clone

process.

Expected:

HG should be cloned with override parameter kept.

Actual:

Parameter override values are cloned with additional escape sequences, causing them to fail validation. See attached.

Related issues:

Related to Foreman - Bug #12284: host group parameter overrides reformatting ... New 10/23/2015

History

#1 - 03/21/2016 08:07 AM - Dominic Cleal

- Related to Bug #12284: host group parameter overrides reformatting YAML values to strings added

#2 - 03/21/2016 08:11 AM - Dominic Cleal

- Category set to Host groups

It might be worth trying this on 1.11, it could have been fixed when the parameter tab was changed.

#3 - 04/03/2017 09:45 AM - MARCIN BOJKO

- Priority changed from Normal to High

This bug is still active in 1.14.2 - it prevents from cloning groups, hosts and even changing host's domains.

With every touch all YAML arrays are being converted to strings with \n signs, so the config is just gone.

#4 - 04/17/2018 09:17 AM - J. A.

Oftentimes I get this when editing a host too. This just happened to me on 1.16.1 but it happened to me on 1.{13,14,15} as well.

#5 - 06/17/2021 09:06 AM - yifat makias

- Status changed from New to Resolved
